---
title: React技术栈速查手册
tags:
    - 前端
    - React
    - 工具书
categories:
    - - 前端
      - React
keywords: '前端,React,工具书'
date: 2021-07-12 14:13:26
---

这本自编的工具书《React 技术栈速查手册》自很早就在更新了，但是之前一直仅在自己周围的小圈子里使用。现在把这本小书共享出来，希望能够服务更多的人。<!-- more -->

如果书中有不正确的地方，欢迎指正。如需引用，请明确声明来源，尊重版权。

## 下载链接

|   首次发布    |   最近更新    | 修订版本 | 适用 React 版本 |
| :-----------: | :-----------: | :------: | :-------------: |
| 2019 年 09 月 | 2022 年 03 月 |    46    |     17.0.2      |

点此下载：{% oss_link react-books/React.pdf React技术栈速查手册 %}

## 更新记录

修订版本 46:

-   修正了关于使用`useImperativeHandle` Hook的示例中的错误。

修订版本 45:

这是一次间隔时间比较长的跨年更新。

-   增加了React Router 6.x的功能说明。
-   增加了React对于组件惰性加载的使用说明。
-   增加了一些对于使用Typescript中泛型的使用技巧。
-   增加对于Typescript引入的工具接口的说明。

修订版本 44:

-   增加了React Query库的说明。
-   原有React Router一章增加针对版本的说明。

修订版本 43:

-   所有的代码段落和提示段落样式全部重新设计。
-   再一次彻底检查文字及语法错误。

修订版本 42:

-   增加了关于在 Vite 中配置 React 插件的说明。
-   增加了关于如何在 Vite 中配置 Emotion 的编译标注的说明。
-   增加了关于如何结合使用Emotion和Tailwind CSS的说明。
-   增加了一些可以在 Styled Components 中使用的Stylis语法。

修订版本 41:

-   增加了关于在 Vite 中使用 Less 变量修改组件主题的说明。
-   增加了关于使用 useImperativeHandle 暴露组件方法的说明。

修订版本 40:

-   增加了关于使用 Vite 构建 React 应用的章节。
-   增加了关于 Hook 函数依赖项的一些补充说明。

修订版本 39:

-   增加了关于 clsx 库的一些说明。

修订版本 38:

-   改正了 React Router 一章中存在的示例编写错误。
-   增加了关于 useCallback Hook 的进一步说明，以方便对 useCallback 的理解。

修订版本 37:

-   改正了一些书写错误。

修订版本 36:

-   增加了介绍 PropTypes 类型检查的内容。

修订版本 35:

-   增加了介绍 Emotion 库的内容。
-   改动了 Styled Components 一章的部分描述。

修订版本 34:

-   重新使用 Latex 排版。
-   增加了 SWR 的部分内容。
